Produk yang Dipromosikan Kreator
Pendahuluan
Dapatkan produk yang dipromosikan oleh kreator menggunakan uid mereka.
Endpoint
bash
POST /creator/v1/productListIsi Permintaan
| Bidang | Tipe | Wajib | Deskripsi |
|---|---|---|---|
filter | object | Ya | Parameter filter |
page | integer | Tidak | Nomor halaman, default: 1 |
pagesize | integer | Tidak | Item per halaman, default: 10 |
opsi filter
| Bidang | Tipe | Wajib | Deskripsi |
|---|---|---|---|
uid | string | Ya | UID Kreator |
days | string | Tidak | Rentang waktu, cth., [0, 7, 14, 28, 90] |
Contoh Permintaan
bash
curl 'https://openapi.fastmoss.com/creator/v1/productList' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
"filter": {
"uid": "6893103660525831169",
"days": 7
},
"page": 1,
"pagesize": 10
}'Isi Respons
data.total
Jumlah total hasil
data.list
| Bidang | Tipe | Deskripsi |
|---|---|---|
product_id | string | ID Produk |
uid | string | UID Kreator |
seller_id | string | ID Penjual |
commission_rate | integer | Tingkat Komisi |
product_rating | string | Peringkat Produk |
shop_title | string | Nama Toko |
shop_avatar | string | URL Avatar Toko |
shop_units_count | integer | Penjualan Toko |
shop_gmv | float | GMV Toko |
title | string | Judul Produk |
cover | string | URL Sampul Produk |
category | array[object] | Kategori Produk |
real_price | string | Harga Produk |
region | string | Wilayah Produk |
gmv | float | GMV Produk |
units_sold | integer | Penjualan Produk |
l1_category_id | integer | ID Kategori Level 1 |
l2_category_id | integer | ID Kategori Level 2 |
l3_category_id | integer | ID Kategori Level 3 |
Contoh Respons
json
{
"code": 0,
"msg": "success",
"data": {
"total": 8,
"list": [
{
"product_id": "1729539239170312086",
"uid": "6893103660525831169",
"seller_id": "7494962456968727446",
"commission_rate": 0,
"product_rating": "0.0",
"shop_title": "Twobakeboys",
"shop_avatar": "https://s.500fd.com/tt_shop/6413a6ce066e4108a30e50d1033dac88~tplv-aphluv4xwc-resize-png:300:300.png",
"shop_units_count": 23867,
"shop_gmv": 607576.80,
"title": "Pineapple tart 230g per bottle",
"cover": "https://s.500fd.com/default/product_default.png",
"category": [
"Food & Beverages"
],
"real_price": "S$15.00",
"region": "SG",//product's region
"gmv": 0,
"units_sold": 0,
"l1_category_id":24,//product's l1 category_id
"l2_category_id":915336,//product's l2 category_id
"l3_category_id":700553//product's l3 category_id
}
]
}
}